<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>src &#8212; pandas 2.1.1 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=233b9934" />
    <script src="../_static/documentation_options.js?v=841abef3"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="src">
<h1>src<a class="headerlink" href="#src" title="Link to this heading">¶</a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="src.html">src package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="src.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="src.html#module-src.app">src.app module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.app.process_commands"><code class="docutils literal notranslate"><span class="pre">process_commands()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="src.html#module-src.common">src.common module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.common.generator"><code class="docutils literal notranslate"><span class="pre">generator()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.common.params_to_dict"><code class="docutils literal notranslate"><span class="pre">params_to_dict()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.common.processor"><code class="docutils literal notranslate"><span class="pre">processor()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="src.html#module-src.dataframe">src.dataframe module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.agg"><code class="docutils literal notranslate"><span class="pre">agg()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.astype"><code class="docutils literal notranslate"><span class="pre">astype()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.axes"><code class="docutils literal notranslate"><span class="pre">axes()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.columns"><code class="docutils literal notranslate"><span class="pre">columns()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.convert_dtypes"><code class="docutils literal notranslate"><span class="pre">convert_dtypes()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.corr"><code class="docutils literal notranslate"><span class="pre">corr()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.describe"><code class="docutils literal notranslate"><span class="pre">describe()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.drop"><code class="docutils literal notranslate"><span class="pre">drop()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.dtypes"><code class="docutils literal notranslate"><span class="pre">dtypes()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.empty"><code class="docutils literal notranslate"><span class="pre">empty()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.eval"><code class="docutils literal notranslate"><span class="pre">eval()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.get"><code class="docutils literal notranslate"><span class="pre">get()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.groupby"><code class="docutils literal notranslate"><span class="pre">groupby()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.head"><code class="docutils literal notranslate"><span class="pre">head()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.idxmax"><code class="docutils literal notranslate"><span class="pre">idxmax()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.idxmin"><code class="docutils literal notranslate"><span class="pre">idxmin()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.index"><code class="docutils literal notranslate"><span class="pre">index()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.infer_objects"><code class="docutils literal notranslate"><span class="pre">infer_objects()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.info"><code class="docutils literal notranslate"><span class="pre">info()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.memory_usage"><code class="docutils literal notranslate"><span class="pre">memory_usage()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.query"><code class="docutils literal notranslate"><span class="pre">query()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.reduce"><code class="docutils literal notranslate"><span class="pre">reduce()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.rename"><code class="docutils literal notranslate"><span class="pre">rename()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.reset_index"><code class="docutils literal notranslate"><span class="pre">reset_index()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.shape"><code class="docutils literal notranslate"><span class="pre">shape()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.size"><code class="docutils literal notranslate"><span class="pre">size()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.sort"><code class="docutils literal notranslate"><span class="pre">sort()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.sort_index"><code class="docutils literal notranslate"><span class="pre">sort_index()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.stack"><code class="docutils literal notranslate"><span class="pre">stack()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.tabular"><code class="docutils literal notranslate"><span class="pre">tabular()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.tail"><code class="docutils literal notranslate"><span class="pre">tail()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.transpose"><code class="docutils literal notranslate"><span class="pre">transpose()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.unstack"><code class="docutils literal notranslate"><span class="pre">unstack()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.dataframe.xs"><code class="docutils literal notranslate"><span class="pre">xs()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="src.html#module-src.general">src.general module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.general.concat"><code class="docutils literal notranslate"><span class="pre">concat()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.general.join"><code class="docutils literal notranslate"><span class="pre">join()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.general.melt"><code class="docutils literal notranslate"><span class="pre">melt()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.general.merge"><code class="docutils literal notranslate"><span class="pre">merge()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.general.pivot"><code class="docutils literal notranslate"><span class="pre">pivot()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="src.html#module-src.inout">src.inout module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.inout.read"><code class="docutils literal notranslate"><span class="pre">read()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.inout.to_html"><code class="docutils literal notranslate"><span class="pre">to_html()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="src.html#src.inout.write"><code class="docutils literal notranslate"><span class="pre">write()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="src.html#module-src">Module contents</a></li>
</ul>
</li>
</ul>
</div>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">pandas</a></h1>








<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../pandas.html">Reference</a></li>
<li class="toctree-l1"><a class="reference internal" href="../license.html">License</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Branden Kappes.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="../_sources/api/modules.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>